# 版本号：10
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

# --------------------------- Delete Topic ---------------------------
DROP TABLE `Post`;
DROP TABLE `PostRecommend`;
DROP TABLE `TopicMessage`;

DELETE FROM `Notification` WHERE `tag`='topic_message_like';
DELETE FROM `Notification` WHERE `tag`='topic_message_comment';
DELETE FROM `Notification` WHERE `tag`='topic_message_2';
DELETE FROM `Notification` WHERE `tag`='topic_message_1';


#------------------------ MediaAccount ------------------------------
# 关注的媒体账号
# param mediaID 媒体账号唯一ID
# param name 媒体账号名称
# param profile 媒体账号头像

CREATE TABLE IF NOT EXISTS `MediaAccount`(
    `mediaID` INTEGER PRIMARY KEY,
    `name` VARCHAR(255) NOT NULL,
    `profile` VARCHAR(255) NOT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);
# ------------------------------- ALTER -------------------------------
INSERT INTO `Notification` (`tag`,`parentTag`) VALUES ('media','tab_mine');
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`) VALUES ('media_inform','media',1);
# -------------------------------- Article --------------------------------
# desc 文章主页列表
# param articleID 文章ID
# param title 文章标题
# param cover 文章封面
# param summary 文章摘要
# param timestamp 文章发布时间
# param mediaID 文章所属平台ID
# param mediaName 文章所属平台名称
# param mediaProfile 文章所属平台头像

CREATE TABLE IF NOT EXISTS `Article`(
    `articleID` INTEGER PRIMARY KEY,
    `title` TEXT,
    `cover` VARCHAR(255) NOT NULL,
    `summary` TEXT,
    `timestamp` BIGINT NOT NULL,
    `mediaID` INTEGER NOT NULL,
    `mediaName` VARCHAR(255) NOT NULL,
    `mediaProfile` VARCHAR(255) NOT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);
