# --------------------------------Unload Message --------------------------------
# desc 消息列表，保存所有会话消息
# param messageID 自增长主键
# param messageType 消息类型 0=文字（包括系统提醒） 1=语音 2=图片 3=名片
# param messageContent 消息内容：文字，语音URL地址，图片URL地址，名片类型和ID的json串
# param sessionType 会话类型 0=official 1=account 2=group
# param sessionValue 会话ID 官方账号ID，用户账号ID，群ID
# param senderID 发送者ID，官方账号ID，用户账号ID，群时发送者用户ID，空表示系统消息
# param action 0=发送的消息 1=接受的消息
# param style 样式 0=default 1=boy 2=girl 用户充值之后启用1和2
# param status 消息状态，只对发送的消息有效 0=正在发送，1=发送成功 2=发送失败
# param read 是否已读，对语音消息有效
# param timestamp 消息发送时间戳（毫秒）
# param args 消息的其他参数，例如语音消息的时长、图片的大小等，每个客户端根据自己的需求组织数据

CREATE TABLE IF NOT EXISTS `TempMessage`(
	`messageID` INTEGER PRIMARY KEY AUTOINCREMENT,
    `messageType` TINYINT DEFAULT 0,
    `messageContent` TEXT,
    `sessionType` TINYINT NOT NULL,
    `sessionValue` BITINT NOT NULL,
    `senderID` BIGINT NULL,
    `action` TINYINT DEFAULT 0,
    `style` TINYINT DEFAULT 0,
    `status` TINYINT DEFAULT 0,
    `read` TINYINT DEFAULT 0,
    `timestamp` BIGINT DEFAULT 0,
    `args` VARCHAR(255) NULL,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);
CREATE INDEX `temp_message_session_type` ON `TempMessage`(`sessionType`);
CREATE INDEX `temp_message_session_value` ON `TempMessage`(`sessionValue`);
CREATE INDEX `temp_message_create_time` ON `TempMessage`(`createTime`);
