# 版本号：3
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

#------------------------Blacks------------------------------
# 在客户端存储黑名单列表，在所有操作黑名单的地方添加对本地数据库的更新
# param accountID 用户ID

CREATE TABLE IF NOT EXISTS `Blocks`(
	'accountID' BIGINT NOT NULL PRIMARY KEY,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);

#------------------------MomentBans------------------------------
# 不让某某看我的朋友圈
# param accountID 用户ID

CREATE TABLE IF NOT EXISTS `MomentBans`(
	'accountID' BIGINT NOT NULL PRIMARY KEY,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);

#------------------------MomentIgnores------------------------------
# 不看某某的朋友圈
# param accountID 用户ID

CREATE TABLE IF NOT EXISTS `MomentIgnores`(
	'accountID' BIGINT NOT NULL PRIMARY KEY,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);

#------------------------Alias------------------------------
# 用户备注，自定义昵称
# param accountID 用户ID
# param name 备注名称

CREATE TABLE IF NOT EXISTS `Alias`(
	'accountID' BIGINT NOT NULL PRIMARY KEY,
	'name'VARCHAR(255) NOT NULL,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);

#------------------------Moment------------------------------
# 在本地存储的最新Moments的列表，建议只保留一定数量的，多出去的立刻删除
# 注意：从数据库倒序查询的时候使用momentID，不用timestamp
# param momentID 状态 ID
# param publisher 发布者用户ID
# param content 内容 json object
# param comments 评论 json array
# param likes 赞 json array
# param timestamp timestamp 发布时间

CREATE TABLE IF NOT EXISTS `Moment`(
	'momentID' BIGINT NOT NULL PRIMARY KEY,
	'publisher' BIGINT NOT NULL,
	'content' TEXT NOT NULL,
	'comments' TEXT NULL,
	'likes' TEXT NULL,
	'timestamp' BIGINT DEFAULT 0,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);
CREATE INDEX `moment_publisher` ON `Moment`(`publisher`);

#------------------------MomentMessage------------------------------
# 朋友圈消息列表
# param messageID 自增长ID
# param momentID 动态ID
# param accountID 回复的人的ID
# param messageType 类型 0：点赞 1：评论
# param messageContent 评论内容，messageType=1时记录评论内容
# param contentType 内容类型 根据自己的需求决定
# param contentValue 内容，根据自己的需求决定存储什么
# param timestamp 回复的时间

CREATE TABLE IF NOT EXISTS `MomentMessage`(
	'messageID' INTEGER PRIMARY KEY AUTOINCREMENT,
	'momentID' BIGINT NOT NULL,
	'accountID' BIGINT NOT NULL,
	'messageType' TINYINT DEFAULT 0,
	'messageContent' TEXT NULL,
	'contentType' TINYINT DEFAULT 0,
	'contentValue' TEXT NULL,
	`timestamp` BIGINT DEFAULT 0,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);
CREATE INDEX `moment_message_timestamp` ON `MomentMessage`(`timestamp`);

#------------------------ChatBackground------------------------------
# 聊天背景
# param chatBackgroundID 自增长ID
# param sessionType 会话类型 0=official 1=account 2=group
# param sessionValue 会话ID 账号或群ID
# param image 图片名称

CREATE TABLE IF NOT EXISTS `ChatBackground`(
    `chatBackgroundID` INTEGER PRIMARY KEY AUTOINCREMENT,
    `sessionType` TINYINT DEFAULT 0,
    `sessionValue` BIGINT NOT NULL,
    `image` TEXT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);

#------------------------ChatDraft------------------------------
# 聊天草稿
# param chatDraftID 自增长ID
# param sessionType 会话类型 0=official 1=account 2=group
# param sessionValue 会话ID 账号或群ID
# param content 输入的内容

CREATE TABLE IF NOT EXISTS `ChatDraft`(
    `chatDraftID` INTEGER PRIMARY KEY AUTOINCREMENT,
    `sessionType` TINYINT DEFAULT 0,
    `sessionValue` BIGINT NOT NULL,
    `content` TEXT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);

#------------------------ALTER------------------------------
# 朋友圈封面
ALTER TABLE `AccountSimple` ADD COLUMN `cover` VARCHAR(500) DEFAULT NULL;
# 朋友圈通知（用户评论或赞）和更新（有新动态），优先显示前者，如果前者数量为0则显示后者
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`) VALUES ('circle_inform','tab_square',1);
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`, `definite`) VALUES ('circle_update','tab_square', 1, 0);