# 版本号：5
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

#------------------------Notebook------------------------------
# 备忘录
# param documentID 文章ID，此ID在客户端自增长生成，并提交到服务器端，同一个用户的documentID重复会覆盖
# param saveTime 保存时间，用于排序
# param content 内容

CREATE TABLE IF NOT EXISTS `Notebook`(
    `documentID` INTEGER PRIMARY KEY AUTOINCREMENT,
    `content` TEXT NOT NULL,
    `saveTime` BIGINT DEFAULT 0,
    `upload` TINYINT DEFAULT 0,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);


#------------------------Post------------------------------
# 我关注的帖子（最新帖子列表）
# param postID 帖子唯一编号
# param accountID 帖子发布者用户ID
# param profile 帖子发布者头像
# param nickName 帖子发布者昵称
# param topicID 话题唯一编号
# param topicName 话题名称
# param content 帖子内容
# param like 帖子喜欢的数
# param unLike 帖子不喜欢的数
# param timestamp 帖子发布时间
# param iLike 我是否喜欢 0:none 1:like 2:unlike

CREATE TABLE IF NOT EXISTS `Post`(
    `postID` INTEGER PRIMARY KEY,
    `accountID` INTEGER NOT NULL,
    `profile` TEXT NOT NULL,
    `nickName` TEXT NOT NULL,
    `topicID` INTEGER NOT NULL,
    `topicName` TEXT NOT NULL,
    `content` TEXT NOT NULL,
    `like` INTEGER NOT NULL,
    `unLike` INTEGER NOT NULL,
    `timestamp` BIGINT NOT NULL,
    `iLike` INTEGER NOT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);

#------------------------PostRecommend------------------------------
# 我关注的帖子（推荐帖子列表）
# param postID 帖子唯一编号
# param recommendID 推荐的ID
# param accountID 帖子发布者用户ID
# param profile 帖子发布者头像
# param nickName 帖子发布者昵称
# param topicID 话题唯一编号
# param topicName 话题名称
# param content 帖子内容
# param like 帖子喜欢的数
# param unLike 帖子不喜欢的数
# param timestamp 帖子发布时间
# param iLike 我是否喜欢 0:none 1:like 2:unlike

CREATE TABLE IF NOT EXISTS `PostRecommend`(
    `postID` INTEGER PRIMARY KEY,
    `recommendID` INTEGER NOT NULL,
    `accountID` INTEGER NOT NULL,
    `profile` TEXT NOT NULL,
    `nickName` TEXT NOT NULL,
    `topicID` INTEGER NOT NULL,
    `topicName` TEXT NOT NULL,
    `content` TEXT NOT NULL,
    `like` INTEGER NOT NULL,
    `unLike` INTEGER NOT NULL,
    `timestamp` BIGINT NOT NULL,
    `iLike` INTEGER NOT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);