# 版本号：6
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

#------------------------TopicMessage------------------------------
# 话题消息列表
# param messageID 自增长ID
# param postID 帖子ID
# param accountID 回复的人的ID
# param nickName 回复人的昵称
# param profile 回复人的头像
# param type 内容类型 根据自己的需求决定
# param content 内容，根据自己的需求决定存储什么
# param timestamp 回复的时间

CREATE TABLE IF NOT EXISTS `TopicMessage`(
    `messageID` INTEGER PRIMARY KEY AUTOINCREMENT,
    `postID` BIGINT NOT NULL,
    `accountID` BIGINT NOT NULL,
    `nickName` VARCHAR(255) NOT NULL,
    `profile` VARCHAR(255) NULL,
    `type` TINYINT DEFAULT 0,
    `content` TEXT NULL,
    `timestamp` BIGINT DEFAULT 0,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);

#------------------------ALTER------------------------------
# 删除本地所有通讯录上传记录，重新用手机号名称对上传
DELETE FROM `Contacts`;
ALTER TABLE `Contacts` ADD COLUMN `name` TEXT DEFAULT NULL;

# 所有帖子的数据表增加发布者是否会员、评论数
ALTER TABLE `Post` ADD COLUMN `member` TINYINT DEFAULT 0;
ALTER TABLE `Post` ADD COLUMN `comment` INTEGER DEFAULT 0;
ALTER TABLE `PostRecommend` ADD COLUMN `member` TINYINT DEFAULT 0;
ALTER TABLE `PostRecommend` ADD COLUMN `comment` INTEGER DEFAULT 0;
#------------------------Notification------------------------------
# 广场中的话题入口上显示的节点
INSERT INTO `Notification` (`tag`,`parentTag`) VALUES ('topic_message_1','tab_square');
# 话题主页右上角导航栏按钮上显示的节点
INSERT INTO `Notification` (`tag`,`parentTag`) VALUES ('topic_message_2','topic_message_1');
# 话题右上角导航栏按钮点击之后下拉的消息入口按钮上显示,第一个为评论数字，第二个为点赞红点
# 理论上来说以下两个基础消息，要对应到两个不同的界面元素，但是这里对应到只有一个地点，所以显示的时候显示他们俩的共同父节点的消息数量即可，这两条记录仅影响父节点要显示什么
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`) VALUES ('topic_message_comment','topic_message_2',1);
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`,`definite`) VALUES ('topic_message_like','topic_message_2',1,0);
#---------------------------FriendRequest----------------------------
ALTER TABLE `FriendRequest` ADD COLUMN `description` TEXT DEFAULT NULL;
#---------------------------Group------------------------------------
ALTER TABLE `Group` ADD COLUMN `showName` TINYINT DEFAULT 0;